/*
 * This file is part of MiToBo, the Microscope Image Analysis Toolbox.
 *
 * Copyright (C) 2010
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on MiToBo, visit
 *
 *    http://www.informatik.uni-halle.de/mitobo/
 *
 */

package de.unihalle.informatik.MiToBo.datatypes;

import de.unihalle.informatik.MiToBo.operator.MTBData;

/**
 * Class to implement string objects to be used as input or output to MTB
 * operators.
 * 
 * @modified Oct 1, 2010
 * 
 * @author misiak
 */
public class MTBStringData extends MTBData {
		/**
		 * The string data to store.
		 */
		String s;

		/**
		 * Construct a new MTBStringData object from the given string.
		 * 
		 * @param st
		 *          string data
		 */
		public MTBStringData(String st) {
				this.s = st;
		}

		public String getString() {
				return this.s;
		}

		/**
		 * Set the string data of the MTBStringData object.
		 * 
		 * @param st
		 *          string data
		 */
		public void setString(String st) {
				this.s = st;
		}
}
