/*
 * This file is part of MiToBo, the Microscope Image Analysis Toolbox.
 *
 * Copyright (C) 2010
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on MiToBo, visit
 *
 *    http://www.informatik.uni-halle.de/mitobo/
 *
 */

package de.unihalle.informatik.MiToBo.operator;

public class MTBEdge {
	private	MTBPort	sourcePort;
	private	MTBPort	targetPort;

	MTBEdge( MTBPort sourcePort, MTBPort targetPort) {
		this.sourcePort = sourcePort;
		this.targetPort = targetPort;
	}

	public MTBPort getSourcePort() {
		return sourcePort;
	}

	public MTBPort getTargetPort() {
		return targetPort;
	}

	public void print() {
		System.out.println( "MTBEdge " + sourcePort + " --> " + targetPort);
		if ( sourcePort != null ) { 
			System.out.print( "   "); 
			sourcePort.print(); 
		} else {
			System.out.println( "   Port == null");
		}

		if ( targetPort != null ) { 
			System.out.print( "   "); 
			targetPort.print(); 
		} else {
			System.out.println( "   Port == null");
		}
	}
}
