/*
 * This file is part of MiToBo, the Microscope Image Analysis Toolbox.
 *
 * Copyright (C) 2010
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on MiToBo, visit
 *
 *    http://www.informatik.uni-halle.de/mitobo/
 *
 */

package de.unihalle.informatik.MiToBo.operator;

import java.util.*;

/** Output port of an operator, that is opNode.
 */

public class MTBOutputPort extends MTBOpNodePort {
	private Hashtable<String, String> properties;

	public MTBOutputPort( MTBOpNode opNode, int idx, String descriptorName) {
		super( new String("OutputPort"), opNode, idx, descriptorName);
		this.properties = new Hashtable<String, String>();
	}

	public Enumeration<String> getPropertyKeys() {
		return this.properties.keys( );
	}

	public void setProperty( String key, Object o) {
		this.properties.put( key, o.toString());
	}

	public String getProperty( String key) {
		return this.properties.get( key);
	}

	public void print() {
		super.print();
		
		Enumeration<String> keys = properties.keys();

		while ( keys.hasMoreElements() ) {
			String key = keys.nextElement();
			System.out.println( "    " + key + " --> " + getProperty( key));
		}
	}
}
